Activation Status

This API is used to check the status of the outlet.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

GET /fi/remit/out/nepal/outletActivationStatus HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=
X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825
X-Ipay-Endpoint-Ip: 14.142.186.14
X-Ipay-Outlet-Id: 72762
Content-Type: application/json
Content-Length: 61

{
    "partnerTxnId":"6eb50302-1b2f-4ec6-bcb0-6b4a7948d319"
}
curl --location --request GET 'https://api.instantpay.in/fi/remit/out/nepal/outletActivationStatus' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=' \
--header 'X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825' \
--header 'X-Ipay-Endpoint-Ip: 14.142.186.14' \
--header 'X-Ipay-Outlet-Id: 72762' \
--header 'Content-Type: application/json' \
--data-raw '{
    "partnerTxnId":"6eb50302-1b2f-4ec6-bcb0-6b4a7948d319"
}'

Request Parameter

ParametersRequirementDescription
partnerTxnIdMandatoryYour Unique Transaction Id

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "cspStatus": "APPROVED",
        "cspCode": "PM00189590"
    },
    "timestamp": "2022-10-12 11:46:04",
    "ipay_uuid": "h006977b3b95-dd6d-4c46-af52-8ec608cbb7c0",
    "orderid": null,
    "environment": "LIVE",
    "internalCode": null
}

Response Parameters

ParameterTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus message
dataArrayResponse Data (If Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive/Sandbox
📘

Note :

1-You will get CSP_code from this API.

2-Activation will be done within 2 working days of receipt of the above documents.

3-If outlet is not registered,Register the outlet using Customer Onboarding API.

📘

Info :

For API Headers Click Here

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain